Get report generation task - Releases - Mercado Pago Developers
Query report generation task

This endpoint allows you to query the status and details of a specific report generation task using its ID. A task is the action by which a report is requested and allows you to track its status. In case of success, the request will return a response with the status 200.

GET

https://api.mercadopago.com/v1/account/release_report/task/{task-id}
Request parameters
Header
Authorization
string

REQUIRED

Access Token obtained through the developer panel. Must be sent in all requests.
Path
task-id
integer

REQUIRED

Unique identifier of the task, obtained in the response to the creation of the report.
Response parameters
id
integer
Unique identifier of the task.
user_id
integer
Unique identifier of the user who owns the report.
begin_date
string
Start date and time of the report interval, in the UTC time zone (ISO 8601 format).
end_date
string
End date and time of the report interval, in the UTC time zone (ISO 8601 format).
Errors

400Bad Request. Invalid parameters in the request.

invalid_parameter

The value informed for the 'task-id' parameter is invalid. Validate if the sent information is correct and try again.

401Unauthorized.

Invalid token

The Access Token is invalid for this request. Validate if the sent information is correct and try again.

404Not Found. Task not found for the user.

task_not_found_for_user

The task to which you are trying to access was not found for the user. Validate if the sent information is correct and try again.

500Internal Server Error.

internal_error

Internal server error. Wait a few minutes and try again.

Request
curl -X GET \
    'https://api.mercadopago.com/v1/account/release_report/task/{task-id}'\
    -H 'Content-Type: application/json' \
       -H 'Authorization: Bearer APP_USR-8*********932064-12*********edf6d3c99*********2236c703f*********668' \
    
Response
{
  "id": 3333,
  "user_id": 574264905,
  "begin_date": "2022-10-15T00:00:00.000Z",
  "end_date": "2022-10-16T23:59:59.999Z",
  "created_from": "manual",
  "is_test": false,
  "is_reserve": false,
  "status": "processing",
  "report_type": "release",
  "generation_date": "2022-10-16T10:15:30.000Z",
  "report_id": null,
  "last_modified": "2022-10-16T10:15:30.000Z",
  "retries": 0,
  "sub_type": "release",
  "account_id": 574264905,
  "currency_id": "ARS",
  "format": "CSV",
  "file_name": null
}